Subject: Re: log/show: relative pathnames do not work in rev:path

From: Jakub Narebski <[email-masked]>
Date: Wed, 19 Dec 2007 19:47:04 +0100

On Wednesday, 19 December 2007, Dana How wrote:
> On Dec 19, 2007 3:23 AM, Jakub Narebski <[email-masked]> wrote:
>> 
>> That said, does git-showrel solution proposed by  Johannes Schindelin
>> in
>>   Message-ID: <[email-masked]>
>>   http://permalink.gmane.org/gmane.comp.version-control.git/68840
>> work for you?
>>
>> Below version of git-showrel script which uses proposed
>> 'commit:./relpath' syntax (it could be improved, of course):
>>
>> cat> git-showrel <<\EOF
>> #!/bin/sh
>>
>> rel=$(git rev-parse --show-prefix 2>/dev/null)
>> git show $(echo "$@" | sed -e "s!:./!:${rel}!")
>>
>> EOF
> 
> It's definitely true I could use this for now.  In the long run
> (meaning after the feature freeze) I don't view this as adequate
> for 2 reasons:
> (1) I would like a consistent interpretation of commit:path
> wherever it is accepted; and

Of course this is only interim solution, after 1.5.4 is out, we are out 
of feature freeze, and <path>:./<relpath> is in.

> (2) If a novice types bad arguments to git-showrel ,  they
> are probably going to be very confused by its error messages
> which are a response to a munged version of their command line.

Actually git-showrel should change only the _last_ argument, passing all 
other unchanged to git-show. But this requires something more than 
simplest script as above...

Unfortunately my shell script hackery is not up to the task ;-(
-- 
Jakub Narebski
Poland